aboutsummaryrefslogtreecommitdiffstats
path: root/test_usage.sh
diff options
context:
space:
mode:
authorGianluca Montecchi <gian@grys.it>2009-10-01 23:39:28 +0200
committerGianluca Montecchi <gian@grys.it>2009-10-01 23:39:28 +0200
commited4a943875d81732bfa3127eb252c2db2e3588f4 (patch)
tree1fa7da00b01b8807adac3f3e3231fc8a78b3a6c7 /test_usage.sh
parente42729af0efc1a4c064e8875e728f9c3c1694a1d (diff)
downloadbugseverywhere-ed4a943875d81732bfa3127eb252c2db2e3588f4.tar.gz
Merged with head branch
Diffstat (limited to 'test_usage.sh')
-rwxr-xr-xtest_usage.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/test_usage.sh b/test_usage.sh
index b2e2cab..13be2ff 100755
--- a/test_usage.sh
+++ b/test_usage.sh
@@ -18,6 +18,8 @@ set -v # verbose, echo commands to stdout
exec 6>&2 # save stderr to file descriptor 6
exec 2>&1 # fd 2 now writes to stdout
+ONLY_TEST_COMMIT="true"
+
if [ $# -gt 1 ]
then
echo "usage: test_usage.sh [RCS]"
@@ -75,8 +77,8 @@ then
darcs init
elif [ "$RCS" == "git" ]
then
- NAME=`git-config user.name`
- EMAIL=`git-config user.email`
+ NAME=`git config user.name`
+ EMAIL=`git config user.email`
ID="$NAME <$EMAIL>"
git init
elif [ "$RCS" == "hg" ]
@@ -124,7 +126,16 @@ BUGB=`echo "$OUT" | sed -n 's/Created bug with ID //p'`
be comment $BUGB "Blissfully unaware of a similar bug"
be merge $BUG $BUGB # join BUGB to BUG
be show $BUG # show bug details & comments
+# you can also export/import XML bugs/comments
+OUT=`be new 'yet more fun'`
+BUGC=`echo "$OUT" | sed -n 's/Created bug with ID //p'`
+be comment $BUGC "The ants go marching..."
+be show --xml $BUGC | be comment --xml ${BUG}:2 -
be remove $BUG # decide that you don't like that bug after all
+be commit "You can even commit using BE"
+be commit --allow-empty "And you can add empty commits if you like"
+be commit "But this will fail" || echo "Failed"
+
cd /
rm -rf $TESTDIR